#include <opencv2/core.hpp>
#include <opencv2/highgui.hpp>
#include <opencv2/imgproc.hpp>
#include <iostream>

using namespace cv;

int main(){
    Mat img = imread("kep.jpg", IMREAD_UNCHANGED);
    Mat img2(200, 50, CV_8UC1);
    Mat img3(200, 50, CV_8UC3);
    Mat img4(200, 50, CV_8UC3);
    img4.setTo(Scalar(0,0, 255)); //szinezes

    Mat img5(img.rows, img.cols, img.type());
    Mat mask(img.rows, img.cols, CV_8UC1);
    Mat mask2 = Mat::zeros(img.size(), CV_8UC1); //kinullazot (fekete) mask (vagy barmi mas kep)


    //masolat
    Mat copy = img.clone(); //deepcopy
    //copy.setTo(Scalar(255,0,0)); //shallow copy -> changes original

    imshow("img", img);
    imshow("copy", copy);

    //imshow("Ablak", img2);
    //imshow("Ablak2", img3);
    //imshow("Ablak3", img4);
    
    //imshow("Ablak3", img5);
    //imshow("Ablak4", mask);
    //imshow("Ablak6", mask2);
    waitKey();

    return 0; 
}
